| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
Image
Image.Image

# Method Image.Image()->clone()

Method clone

  `object clone()`
  `object clone(int xsize, int ysize)`
  `object clone(int xsize, int ysize, int r, int g, int b)`
  `object clone(int xsize, int ysize, int r, int g, int b, int alpha)`

Description

  Copies to or initialize a new image object.

  original | clone | clone(50,50)

Parameter `xsize`
Parameter `ysize`

  size of (new) image in pixels, called image is cropped to that size

Parameter `r`
Parameter `g`
Parameter `b`

  current color of the new image, default is black. Will also be the background color if the cloned image is empty (no drawing area made).

Parameter `alpha`

  new default alpha channel value

Returns

  the new object

See also

  copy , create